Freeciv-3.1: player_diplstate Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
player_diplstate Struct Reference

`#include <player.h>`

## Data Fields

enum diplstate_type | type
enum diplstate_type | max_state
int | first_contact_turn
char | turns_left
char | has_reason_to_cancel
char | contact_turns_left
int | auto_cancel_turn

## Detailed Description

Definition at line 200 of file player.h.

## Field Documentation

## ◆ auto_cancel_turn

int player_diplstate::auto_cancel_turn

Definition at line 208 of file player.h.

Referenced by player_diplstate_defaults(), and update_diplomatics().

## ◆ contact_turns_left

char player_diplstate::contact_turns_left

Definition at line 206 of file player.h.

Referenced by are_diplstates_equal(), handle_player_diplstate(), make_contact(), package_player_diplstate(), player_diplstate_defaults(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), split_player(), and update_diplomatics().

## ◆ first_contact_turn

int player_diplstate::first_contact_turn

Definition at line 203 of file player.h.

Referenced by dai_diplomacy_actions(), dai_goldequiv_clause(), make_contact(), player_diplstate_defaults(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), and update_diplomatics().

## ◆ has_reason_to_cancel

char player_diplstate::has_reason_to_cancel

Definition at line 205 of file player.h.

Referenced by action_give_casus_belli(), are_diplstates_equal(), dai_war_desire(), handle_diplomacy_cancel_pact(), handle_player_diplstate(), is_diplrel_between(), package_player_diplstate(), player_diplstate_defaults(), player_mood(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), split_player(), and update_diplomatics().

## ◆ max_state

enum diplstate_type player_diplstate::max_state

Definition at line 202 of file player.h.

Referenced by player_diplstate_defaults(), set_diplstate_type(), sg_load_player_main(), sg_load_player_main(), and sg_save_player_main().

## ◆ turns_left

char player_diplstate::turns_left

Definition at line 204 of file player.h.

Referenced by are_diplstates_equal(), col_diplstate(), dai_goldequiv_clause(), diplo_wdg::diplo_wdg(), diplstate_value(), handle_diplomacy_accept_treaty_req(), handle_diplomacy_cancel_pact(), handle_player_diplstate(), package_player_diplstate(), player_diplstate_defaults(), popup_info_text(), popup_players_nations_dialog(), redraw_unit_info_label(), sg_load_player_main(), sg_load_player_main(), sg_save_player_main(), split_player(), and update_diplomatics().

## ◆ type

enum diplstate_type player_diplstate::type

Definition at line 201 of file player.h.

Referenced by add_clause(), adv_is_player_dangerous(), are_diplstates_equal(), cities_trade_route_type(), col_diplstate(), create_clause_menu(), dai_diplomacy_actions(), dai_goldequiv_clause(), dai_hunter_try_launch(), dai_treaty_accepted(), dai_treaty_evaluate(), dai_war_desire(), diplo_wdg::diplo_wdg(), diplstate_value(), do_paradrop(), handle_diplomacy_accept_treaty_req(), handle_diplomacy_cancel_pact(), handle_player_diplstate(), is_diplrel_between(), is_valid_alliance(), make_contact(), plr_widget::nation_selected(), package_player_diplstate(), player_diplstate_defaults(), player_mood(), player_nation_callback(), players_non_invade(), players_war_callback(), players_war_callback(), popup_add_menu(), popup_diplomacy_dialog(), popup_diplomatic_objects(), popup_goto_airlift_dialog(), popup_info_text(), popup_players_nations_dialog(), pplayer_can_cancel_treaty(), pplayer_can_make_treaty(), pplayers_allied(), pplayers_at_war(), pplayers_in_peace(), pplayers_non_attack(), real_players_dialog_update(), redraw_unit_info_label(), rel_may_become_war(), score_tooltip(), set_diplstate_type(), sg_load_player_main(), sg_load_player_main(), sg_load_players(), sg_load_players(), sg_save_player_main(), shared_vision_is_safe(), diplo_wdg::show_menu(), update_diplomatics(), and update_intel_dialog().